<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date"/>
    <x:script src='/biz/topsun/sap/statsIndicators/statsIndicators.js'/>
</head>
<body>
<x:hidden name="isDetailPage" value="false"/> <!--是否是详情页-->
<x:billTitle title="非产品/非本成品类物料主数据维护申请表" needStatus="false" needPerson="true"/>
<form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
<%--        <x:hidden name="billCode"/>--%>
<%--        <x:hidden name="fillinDate" type="datetime"/>--%>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
<%--        <x:hidden name="deptName"/>--%>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
<%--        <x:hidden name="personMemberName"/>--%>
    <x:title title="基本信息" name="group"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="billCode" label="申请单编号" labelCol="1" readonly="true" fieldCol="2"/>
            <x:inputC name="approvalStatus" label="批准状态" readonly="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="personMemberName" label="填写人" readonly="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="fillinDate" label="填写日期" readonly="true" wrapper="date" labelCol="1" fieldCol="2"/>
        </div>
        <div class="hg-form-row">
            <x:radioC name="maintenanceType" label="维护类型" labelCol="1" fieldCol="11" dictionary="maintainType"/>
        </div>
    </div>
    <x:title title="维护基本信息" name="group"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="" label="物品编码" labelCol="1" fieldCol="5"/>
            <x:selectC name="itemAttributes" label="物品类型" labelCol="1" fieldCol="2" dictionary="suppliesType"/>
            <x:inputC name="" label="物料组" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="集团级删除" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="产品组" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="项目类别组" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="汉语品名" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="批次管理" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="包装物料组" labelCol="1" fieldCol="2"/>
            <x:inputC name="applicableStandard" label="适用标准" labelCol="1" fieldCol="5"/>
            <x:inputC name="" label="英语品名" labelCol="1" fieldCol="2"/>
            <x:selectC name="baseUnit" label="基本计量单位" labelCol="1" fieldCol="2" dictionary="measuringUnit"/>
            <x:inputC name="" label="存储条件" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="毛重" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="重量单位" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="体积" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="体积单位" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="有效时间标识" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="总有效期" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="旧料号" labelCol="1" fieldCol="2"/>
            <x:inputC name="design" label="版式" labelCol="1" fieldCol="2"/>
            <x:inputC name="size" label="尺码" labelCol="1" fieldCol="2"/>
            <x:inputC name="brand" label="品牌" labelCol="1" fieldCol="2"/>
            <x:inputC name="materialUsage" label="用途" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="最小货架寿命" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="工厂" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="库存地点" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="销售组织" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="分销渠道" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="仓库号" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="存储类型" labelCol="1" fieldCol="2"/>
            <x:inputC name="" label="文本说明" labelCol="1" fieldCol="2"/>
        </div>
        <div class="hg-form-row">
            <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                             fieldCol="11"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC rows="3" name="textDescription" label="文本说明" labelCol="1" fieldCol="11"/>
        </div>
    </div>


</form>
</body>
</html>
